Bug 1740998

Summary: python-requests-cache depends on Python 2
Product: [Fedora] Fedora Reporter: Lumír Balhar <lbalhar>
Component: python-requests-cacheAssignee: Rick Elrod <relrod>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: hobbes1069, relrod
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-18 12:01:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1698500    

Description Lumír Balhar 2019-08-14 05:03:19 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for python-requests-cache's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to python-requests-cache.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Richard Shaw 2019-08-14 05:28:24 UTC
python-requests-cache provides both Python 2 and Python 3 packages. The Python 2 packages are needed for MythTV at least.

Comment 2 Lumír Balhar 2019-08-14 09:16:16 UTC
(In reply to Richard Shaw from comment #1)
> python-requests-cache provides both Python 2 and Python 3 packages. The
> Python 2 packages are needed for MythTV at least.

Could you please point me to the package you are talking about? From the info I have from the portingdb [0] it seems that python2-requests-cache is a leaf package and I cannot find any package MythTV in Fedora.

Thank you.

[0] https://fedora.portingdb.xyz/pkg/python-requests-cache/

Comment 3 Richard Shaw 2019-08-15 01:03:54 UTC
Due to FFMPeg dependency MythTV is in RPM Fusion. I and others are trying to "twist upstreams arm" about getting MythTV updated for Python 3 but have not had a lot of luck...

Can we keep the python2 package for f31? I will drop it for f32.

Comment 4 Lumír Balhar 2019-08-15 05:01:19 UTC
> Can we keep the python2 package for f31? I will drop it for f32.

Yes, we can. The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 5 Richard Shaw 2019-08-15 05:08:50 UTC
I can go ahead and build the f32 package without python 2 and close this bug. If MythTV can't get their act together by then, well...

Comment 6 Richard Shaw 2019-08-15 05:14:28 UTC
Actually I just built the new version yesterday and would rather not build again if I don't have to. I removed the python 2 bits, committed the changes, and did a mockbuild to make sure I didn't mess anything up. The next build (due to new version or rebuild) will not produce a python 2 package.

Comment 7 Lumír Balhar 2019-09-18 12:01:19 UTC
It seems that this package is Python-3-only. Thank you!